<!DOCTYPE html>
<html lang="zxx">

<head>
  <meta charset="utf-8">
  <title>Caroline Rudd</title>

<!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

<!-- Bootstrap -->
  <link rel="stylesheet" href="plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="plugins/themify/css/themify-icons.css">


<!-- Main Stylesheet -->
  <link href="css/style.css" rel="stylesheet">
<!-- Navigation Start -->
<!-- Header Start -->
<head>

<ul>
  <li><a href="index.html">Home</a></li>
  <li><a href="about.html">About</a></li>
  <li><a href="DataDiet.html">Data Diet</a></li>
  <li><a href="term1.html">Term 1</a></li>
  <li><a href="term2.html">Term 2</a></li>
  <li><a href="term3.html">Term 3</a></li>
  <li><a class="active" href="Fabacademy.html">FAB Academy</a></li>
</ul>
</head>

<!-- Header Close -->

<div style="margin-left:10%;padding:1px 10px;height:1000px;">


<section class="page-title section pb-0">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="text-center">
          <h1 class="text-capitalize mb-0 text-lg">Plotter CNC</h1>
        </div>
      </div>
    </div>
  </div>
</section>


<section class="section portfolio-single">
	<div class="container">
		<div class="row justify-content-center">
			<div class="col-lg-8">
				<div class="project-info">
					<h3 class="mb-4"></h3>
<p>For our wild card week at FabLab Barcelona, we remotely controlled a CNC to draw in sand. The first part of this assignment involved preparing the files. For that, I used the grasshopper file Edu sent.I first drew a smiley face in rhino, and then connected it to the geometry notch in the grasshopper file with the "set multiple geometries" option. I then changed the drawing speed to 8, based off fellow classmates suggestions. I then copied the gcode with "copy data only" and pasted it into Atom, where I save it as a gcode file.
<br><br>
When it was my turn to use the machine, I first had to clean the bed using the cleaning code Edu sent us. However, the machine had been misconfigured somehow by someone who used it before me, so it was drawing at the wrong angle. To fix this I had to do some trial & error with the Z in the gcode. The original file had Z67, which wasn't working. Some classmates mentioned trying Z35, which also didn't work for me originally. I decided to close and restart the program, as everything was loading and moving really slow at this point. Once I reopened, and moved the servo back home again with the code (seen below), I tried the cleaning file again, and it finally worked.
<br><br>
<img src="images/FAB/WildCard/MovingServoCode.png" alt="" class="img-fluid w-100">
<br><br>
 <img src="images/FAB/WildCard/Cleaning.png" alt="" class="img-fluid w-100">
<br><br>
Once the bed was cleaned, it was time to upload and draw my smiley face. So I uploaded my file and clicked play, but quickly realized I had drawn the smiley face WAY too small (as I hadn't realized that the blue square in the rhino file was the dimensions of the bed). The file was working here, but the smiley face was so small that the sand drawing wasn't even visible. Before it even finished, I stopped the drawing and quickly created a new gcode file with a much bigger smiley face. I also realized at this point based on the direction of the cameras that I should change the facing direction of my smiley in the file if I wanted it to be visible in the proper direction. Below you can see the small smiley face & the big one. You can tell that the first one is so small based on how much of the background grid it's covering.
<br><br>
<img src="images/FAB/WildCard/SmallSidewaySmiley.png" alt="" class="img-fluid w-100">
<br><br>
<img src="images/FAB/WildCard/BigSmiley.png" alt="" class="img-fluid w-100">
<br><br>
I then uploaded the new gcode and started the process again, and it finally worked! The only problem that I couldn't fix in the end was some thinner piece hanging behind the drawing piece. So in the end there were 2 smileys drawn at the same time, the original one (the thickly drawn lines) and the unanticipated one (with the thinly drawn lines).
<br><br>
<img src="images/FAB/WildCard/TopView.png" alt="" class="img-fluid w-100">
<br><br>
<img src="images/FAB/WildCard/SideView.png" alt="" class="img-fluid w-100">
<br><br>
<img src="images/FAB/WildCard/FinalInterface.png" alt="" class="img-fluid w-100">
<br><br>
<b> Files: </b><a href="images/FAB/Downloads/BigSmiley.gcode" download> Gcode
        <a href="images/FAB/Downloads/BigSmiley.gh" download>Grasshopper
    <a href="images/FAB/Downloads/BigSmiley.3dm" download>Rhino
</a></a></a>
</div>




				<div class="row mt-4">
					<div class="col-lg-6">
						<div class="info">
							<h5 class="mb-0">Student</h5>
							<p>Caroline Rudd</p>
						</div>

						<div class="info">
							<h5 class="mb-0">Year</h5>
							<p>2020</p>
						</div>
					</div>

				<div class="mt-5">
					<a href=".html" class="btn btn-dark">Previous Work</a>
					<a href=".html" class="btn btn-dark">Next Work</a>
				</div>
			</div>
		</div>
	</div>
</section>


<section class="footer">
	<div class="container">
		<div class="row ">
			<div class="col-lg-6">
				<div class="widget footer-widget text-lg-right mt-5 mt-lg-0">
					<ul class="list-inline mb-0">

						<li class="list-inline-item"><a href="https://github.com/themefisher/" target="_blank"><i class="ti-github mr-3"></i></a></li>
						<li class="list-inline-item"><a href="https://www.linkedin.com/in/caroline-rudd-75208b181/" target="_blank"><i class="ti-linkedin mr-3"></i></a></li>
	           </li>
        	</ul>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- jQuery -->
<script src="plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="plugins/bootstrap/bootstrap.min.js"></script>
<script src="plugins/aos/aos.js"></script>
<script src="plugins/owl-carousel/owl.carousel.min.js"></script>
<script src="plugins/shuffle/shuffle.min.js"></script>
<script src="plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="plugins/animated-text/animated-text.js"></script>
<script src="plugins/counto/apear.js"></script>
<script src="plugins/counto/counTo.js"></script>


<!-- Main Script -->
<script src="js/script.js"></script>

</html>
